WordPress in Italiano su server a 64bit


Chi prova ad installare una versione localizzata di WP su un server a 64bit, si trova ad avere WP ancora in inglese. Spesso l’utente non ha conoscenza del server utilizzato, mentre i nuovi server acquistati dai veri servizi di hosting sono oramai quasi sempre a 64bit.

Nelle ultime versioni di WP dalla 2.3 in avanti era stata applicata una prima modifica ma questa si è rivelata non funzionate su una vasta gamma di sistemi, una ulteriore modifica che attualmente è presente solo nella versione di sviluppo risulta invece ad oggi efficace su tutti i sistemi provati.

Abbiamo quindi reso disponibile una versione del file gettex.php modificata con tale patch. Per chi avesse problemi di localizzazione e dopo indagine con il proprio fornitore di host verificasse che il server utilizzato è a 64bit potrà semplicemente prendere il file modificato e scompattarlo sostituendo il file originale gettext.php che si trova nella directory wp-includes, si consiglia prima di fare una copia del file originale.

Se la patch non avesse successo vi preghiamo di segnalarlo come commento a questo post ma solo se potete segnalare anche il tipo di server utilizzato (sistema operativo, versione dello stesso etc) dati che vi potranno essere forniti dal vostro host.

Hai qualche Domanda o vuoi Commentare?

10 commenti su “WordPress in Italiano su server a 64bit

«una pria modifica»?
Forse «una prima modifica» 😉

Reply

effettivamente la versione localizzata, non riusciva a partire, e la ufficiale non c’era modo di farla andare in italiano! Ora tutto ok!!!

Reply
Luigi Suardi

Il patch ha funzionato su sistema:

Architecture x86_64
Operating system Linux
Kernel version 2.6.22-9_1.BHsmp

Reply
Gaetano

Ciao a tutti,
Grazie mille :)…la patch funziona benissimo,
consiglio di scaricarla per chi hosta su helloweb.eu

Reply

Finalmente… grazie.

Funziona perfettamente (hosting di Hostmonster).

uname: 2.6.22-9_1.BHsmp #1 SMP Sun Feb 10 15:57:22 MST 2008 x86_64 x86_64 x86_64 GNU/Linux

Reply

[…] Qualcuno si è accorto che finalmente il blog (quantomeno la struttura) è in italiano? grazie a kiara per aver trovato la soluzione  […]

[…] in inglese. Tramite una breve ricerca nel forum di supporto, ho scoperto che si tratta di una fastidiosa incompatibilità con i server a 64 bit che pare verrà corretta nella prossima release. La patch sembra funzionare […]

[…] Nuovo aggiornamento di sicurezza per WordPress 2.3.x: se non volete scaricare il pacchetto completo, aggiornate quantomeno il file xmlrpc.php. La versione in uso in WordPress 2.3.2 permette a un utente registrato, attraverso una richiesta appositamente formata, di modificare i post scritti da qualsiasi altro utente del blog. Nella versione 2.3.3 vengono corretti anche altri piccoli problemi, ad esempio l’uso di GetText su sistemi a 64bit. […]

[…] Salve a tutti ho fatto un piccolo aggiornamento della mia attuale versione wordpress..Vi consiglio di aggiornare subito perchè la vecchia versione la 2.3.2 soffriva di alcune falle nella sicurezza infatti permetteva a un utente registrato, attraverso una richiesta appositamente formata, di modificare i post scritti da qualsiasi altro utente del blog. Nella versione 2.3.3 vengono corretti anche altri piccoli problemi, ad esempio l’uso di GetText su sistemi a 64bit. […]

[…] Questo aggiornamento corregge anche  il problema di mancato utilizzo dei file di linguaggio con WP 2.3.1 e 2.3.2 se installato su server a 64 bit, quindi installando la nuova versione 2.3.3 non serve più seguire le indicazioni di questo articolo. […]

Lascia un commento

Il tuo indirizzo email non sarà pubblicato.

Archivi

Categorie